/*
 * Class ARRAYED_LIST [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1832 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1832 [] = {0xFF01,1551,1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1832 [] = {0xFF01,1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1832 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1832 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1832 [] = {0xFF01,1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1832 [] = {0xFF01,1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1832 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1832 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1832 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1832 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1832 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1832 [] = {1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1832 [] = {0xFF01,1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1832 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1832 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1832 [] = {0xFF01,1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1832 [] = {0xFF01,1817,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1832 [] = {0xFF01,1819,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1832 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1832 [] = {0xFF01,1817,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1832 [] = {0xFF01,1823,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1832 [] = {0xFF01,1831,848,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1832 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1832 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1832 [] = {0xFF01,1831,848,0xFFFF};


static const struct desc_info desc_1832[] = {
	{EIF_GENERIC(NULL), 14263, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1832), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1832), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14287, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1832), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14314, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1832), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1832), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1832), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1832), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1832), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1832), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1832), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1832), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1832), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1832), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1832), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1832), 8850, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1832), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14286, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9427, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1832), 14268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9089, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12172, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14273, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12175, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1832), 8843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14295, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14296, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1832), 14269, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1832), 12176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14290, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1832), 14268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14294, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14280, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1832), 14271, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1832), 14272, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14293, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14298, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12185, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12186, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14256, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1832), 14258, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14297, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12399, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14288, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14291, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9284, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14304, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14315, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14317, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14255, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1832), 10471, 0},
	{EIF_GENERIC(NULL), 10464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10465, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1832), 10466, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1832), 10467, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10470, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1832), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9431, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9426, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9428, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14311, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14313, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1832), 11016, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1832), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12175, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12403, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14257, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1832), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14264, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14265, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14266, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1832), 14267, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1832), 14276, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14281, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14283, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14284, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14292, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14312, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14260, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14261, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1832), 14262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14273, 8},
	{EIF_GENERIC(egt_34_1832), 14269, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1832), 14270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14290, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14302, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1832), 14274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14289, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14285, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14308, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14309, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14254, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1832), 14259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14310, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1832(void)
{
	IDSC(desc_1832, 0, 1831);
	IDSC(desc_1832 + 1, 1, 1831);
	IDSC(desc_1832 + 32, 1134, 1831);
	IDSC(desc_1832 + 41, 1395, 1831);
	IDSC(desc_1832 + 43, 1060, 1831);
	IDSC(desc_1832 + 49, 1444, 1831);
	IDSC(desc_1832 + 58, 1570, 1831);
	IDSC(desc_1832 + 61, 1534, 1831);
	IDSC(desc_1832 + 68, 636, 1831);
	IDSC(desc_1832 + 82, 1245, 1831);
	IDSC(desc_1832 + 85, 1135, 1831);
	IDSC(desc_1832 + 94, 1422, 1831);
	IDSC(desc_1832 + 103, 878, 1831);
	IDSC(desc_1832 + 104, 586, 1831);
	IDSC(desc_1832 + 110, 1088, 1831);
	IDSC(desc_1832 + 112, 778, 1831);
	IDSC(desc_1832 + 113, 658, 1831);
	IDSC(desc_1832 + 114, 617, 1831);
	IDSC(desc_1832 + 116, 288, 1831);
	IDSC(desc_1832 + 131, 916, 1831);
	IDSC(desc_1832 + 137, 254, 1831);
	IDSC(desc_1832 + 140, 554, 1831);
	IDSC(desc_1832 + 141, 340, 1831);
	IDSC(desc_1832 + 149, 387, 1831);
	IDSC(desc_1832 + 151, 794, 1831);
}


#ifdef __cplusplus
}
#endif
